<template lang="pug">  
  section.hero.is-dark.is-small.is-bold
    .hero-head
      header.navbar
        .container                  
          .navbar-brand
            a.navbar-item Tango Maps
            span.navbar-burger.burger(data-target="navbarMenuHeroC",@click="showNav = !showNav",:class="{ 'is-active': showNav }")
              span
              span
              span
          .navbar-menu(id="navbarMenuHeroC",:class="{ 'is-active': showNav }")
            .navbar-end
              router-link.navbar-item(v-for="item in menuItems",:to="{ path: item.link }") {{ item.title }}
              a.navbar-item(@click="onLogout", v-if="userIsAuthenticated") Logout
</template>

<script>
  export default {
    name: 'HeaderMainPage',
    data() {
      return {    
        showNav: false
      }
    },
    computed: {
      menuItems () {
        let menuItems = [
          {title: 'Home', link: '/'},
          {title: 'About', link: '/about'},
          {title: 'Contact', link: '/contact'},
          {title: 'Guide', link: '/guide'},
          {title: 'Volunteer', link: '/volunteer'},
          {title: 'FAQ', link: '/faq'}          
        ]
        if (this.userIsAuthenticated) {
          menuItems.push({title: 'Profile', link: '/profile'})
        } else {
          menuItems.push({title: 'Sign in', link: '/signin'})
        }
        return menuItems
      },
      userIsAuthenticated () {
        return this.$store.getters.user !== null && this.$store.getters.user !== undefined
      }
    },
    methods: {
      onLogout () {
        this.$store.dispatch('logout')
        this.$router.push('/')
      }
    }
  }
</script>

<style scoped>
   .router-link-exact-active {
     background-color: #292929;
   }
</style>
